Skip to main content
Create Organisational Unit
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/organisational_units \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "name": "Engineering",
  "active": true,
  "parent_id": "b4824606-fc95-53ed-b80g-6f8c2ge908c8"
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Information needed for creating an Organisational Unit.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

name
string
required

The name of the Organisational Unit.

Required string length: 1 - 100
Example:

"Engineering"

active
boolean
default:true

Indicates whether the Organisational Unit is active or not.

parent_id
string<uuid>

Unique identifier for the parent Organisational Unit, establishing the organisational structure. Organisational Units with parent_id=null are root Organisational Units.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b4824606-fc95-53ed-b80g-6f8c2ge908c8"

Response

No Content